Subject: [tcpm] [Editorial Errata Reported] RFC5925 (6406)

From: RFC Errata System <[email-masked]>
Date: Fri, 22 Jan 2021 03:31:45 -0800 (PST)

The following errata report has been submitted for RFC5925,
"The TCP Authentication Option".

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6406

--------------------------------------
Type: Editorial
Reported by: Ananth Rajadurai <[email-masked]>

Section: Section 5.1

Original Text
-------------
In Section 5.1, Figure 6 - TCP IPv6 Pseudoheader

+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+          Source Address           +
|                                   |
+                                   +
|                                   |
+                                   +
+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+        Destination Address        +
|                                   |
+                                   +
|                                   |
+--------+--------+--------+--------+
|      Upper-Layer Payload Length   |
+--------+--------+--------+--------+
|      Zero       |    Next Header  |
+--------+--------+--------+--------+

Corrected Text
--------------
+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+          Source Address           +
|                                   |
+                                   +
|                                   |
+                                   +
+--------+--------+--------+--------+
|                                   |
+                                   +
|                                   |
+        Destination Address        +
|                                   |
+                                   +
|                                   |
+--------+--------+--------+--------+
|      Upper-Layer Payload Length   |
+--------+--------+--------+--------+
|            Zero          |Next Hdr|
+--------+--------+--------+--------+

Notes
-----
In IPv6 pseudoheader,  Zero field should be 3 bytes and Next header should be 1 byte. 
But in RFC 5925, figure 6, it misleads into Zero field 2 bytes and Next header 2 bytes.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5925 (draft-ietf-tcpm-tcp-auth-opt-11)
--------------------------------------
Title               : The TCP Authentication Option
Publication Date    : June 2010
Author(s)           : J. Touch, A. Mankin, R. Bonica
Category            : PROPOSED STANDARD
Source              : TCP Maintenance and Minor Extensions
Area                : Transport
Stream              : IETF
Verifying Party     : IESG

---

From: Ron Bonica <[email-masked]>
Date: Fri, 22 Jan 2021 17:32:47 +0000

Good catch! I agree.

                           Ron

Juniper Business Use Only

-----Original Message-----
From: RFC Errata System <[email-masked]> 
Sent: Friday, January 22, 2021 6:32 AM
To: [email-masked]; [email-masked]; Ron Bonica <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Editorial Errata Reported] RFC5925 (6406)

[External Email. Be cautious of content]

The following errata report has been submitted for RFC5925, "The TCP Authentication Option".

--------------------------------------
You may review the report below and at:
https://urldefense.com/v3/__https://www.rfc-editor.org/errata/eid6406__;!!NEt6yMaO-gk!TPbutoDM6em9KKm5-szbv-RzAvYVcLYNN3OpDfIFzPWHaTuEZ3Aan19U_PMwdixs$

Section: Section 5.1

Original Text
-------------

Corrected Text
--------------

Notes
-----

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please use "Reply All" to discuss whether it should be verified or rejected. When a decision is reached, the verifying party can log in to change the status and edit the report, if necessary.

---

From: Joseph Touch <[email-masked]>
Date: Fri, 22 Jan 2021 09:46:30 -0800

Hi, all,

This report is correct. Recommend “hold for doc update” as the figure is not used as normatively and the corresponding text description is correct.

Joe

> On Jan 22, 2021, at 3:31 AM, RFC Errata System <[email-masked]> wrote:
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm